#!/usr/bin/python3
import os
import sys
def create_user(login, full_name):
    try:
        os.system(f'sudo useradd -m -c "{full_name}" {login}')
        print(f"Utilisateur {login} créé avec succès.")
    except Exception as e:
        print(f"Erreur lors de la création de l'utilisateur {login}: {e}")
def main(filename):
    try:
        with open(filename, 'r') as file:
            for line in file:
                line = line.strip()
                if line:
                    login, full_name = line.split(':')
                    create_user(login.strip(), full_name.strip())
    except FileNotFoundError:
        print(f"Le fichier {filename} n'a pas été trouvé.")
    except Exception as e:
        print(f"Erreur lors de la lecture du fichier {filename}: {e}")
if __name__ == "__main__":
    if len(sys.argv) != 2:
        print("Usage: python3 createusers.py <nom_du_fichier>")
    else:
        main(sys.argv[1])
